classification
Title: Add regen-frozen makefile target
Type: enhancement Stage: resolved
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: hroncok, nascheme
Priority: normal Keywords: patch

Created on 2020-01-24 20:52 by nascheme, last changed 2021-03-02 14:41 by hroncok. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 18174 merged nascheme, 2020-01-24 23:52
Messages (3)
msg360655 - (view) Author: Neil Schemenauer (nascheme) * (Python committer) Date: 2020-01-24 20:52
Updating the frozen module "__hello__" code inside Python/frozen.c is currently a manual process.  That's a bit tedious since it adds some extra work in the case that bytecode changes are made.  I've created a small script and a makefile target to automates the process.
msg387274 - (view) Author: Neil Schemenauer (nascheme) * (Python committer) Date: 2021-02-19 00:49
New changeset ffa55d21b4a86ad8b4a43a9f597151e526541130 by Neil Schemenauer in branch 'master':
bpo-39448: Add regen-frozen makefile target. (GH-18174)
https://github.com/python/cpython/commit/ffa55d21b4a86ad8b4a43a9f597151e526541130
msg387934 - (view) Author: Miro HronĨok (hroncok) * Date: 2021-03-02 14:41
I think something is broken with this, full report in: https://bugs.python.org/issue43372
History
Date User Action Args
2021-03-02 14:41:26hroncoksetnosy: + hroncok
messages: + msg387934
2021-02-19 00:50:21naschemesetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-02-19 00:49:34naschemesetmessages: + msg387274
2020-01-24 23:52:16naschemesetkeywords: + patch
pull_requests: + pull_request17558
2020-01-24 20:52:47naschemecreate